PDA

View Full Version : Exceptions when starting and closing Configuration



pvrfan
2004-02-25, 02:10 AM
Hello,

I just installed GBPVR version 013 for the first time today. I get the following when starting the configuration utility:

************** Exception Text **************
System.InvalidOperationException: The .Net Data OLE DB Provider(System.Data.OleDb) requires Microsoft Data Access Components(MDAC) version 2.6 or later. Version 2.53.6200.0 was found currently installed.
at System.Data.OleDb.OleDbConnection.CreateInstanceMD AC()
at System.Data.OleDb.OleDbConnection.GetObjectPool()
at System.Data.OleDb.OleDbConnection.CreateProvider(O leDbConnectionString constr)
at System.Data.OleDb.OleDbConnection.Open()
at ag.a()
at an.v(Object A_0, EventArgs A_1)
at System.Windows.Forms.Form.OnLoad(EventArgs e)
at System.Windows.Forms.Form.OnCreateControl()
at System.Windows.Forms.Control.CreateControl(Boolean fIgnoreVisible)
at System.Windows.Forms.Control.CreateControl()
at System.Windows.Forms.Control.WmShowWindow(Message& m)
at System.Windows.Forms.Control.WndProc(Message& m)
at System.Windows.Forms.ScrollableControl.WndProc(Mes sage& m)
at System.Windows.Forms.ContainerControl.WndProc(Mess age& m)
at System.Windows.Forms.Form.WmShowWindow(Message& m)
at System.Windows.Forms.Form.WndProc(Message& m)
at System.Windows.Forms.ControlNativeWindow.OnMessage (Message& m)
at System.Windows.Forms.ControlNativeWindow.WndProc(M essage& m)
at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

pvrfan
2004-02-25, 02:22 AM
Ugh, please forgive me. I took the time to read the Exception message after posting. I installed MDAC 2.8 and now the exception does not appear.

sub
2004-02-25, 02:25 AM
It looks like you've installed an application (or service pack or virus checker or something) that has installed some older database access components which seem to conflict with those required by the Microsoft .Net v1.1 runtime.

I dont know what to tell you really. I've not had this problem, so dont really know what the resolution is. It might be worth having a search for this error on google. Another user (-LD) has had this error all along, and I think he's still having the problem.

"The .Net Data OLE DB Provider(System.Data.OleDb) requires Microsoft Data Access Components(MDAC) version 2.6 or later. Version 2.53.6200.0 was found currently installed."